 /**
 * The interface IOrderable.
 *
 * @param <E> - the type 
 *
 * @author Gloss
 * @version 1.0 - 23/Nov/2012
 **/
public interface IOrderable<E> {
	
	/**
	 * Verifies if an element is great or equal to the current one.
	 * 
	 * @param e - the element to compare.
	 * @return true if the element is grater or equal to the current one, 
	 * 				false otherwise.
	 */
	boolean isGreaterEq(E e);
}
